Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence.query
Enum BinaryFunctionalOperator

    java.lang.Object
      java.lang.Enum<BinaryFunctionalOperator>
          org.apache.openjpa.persistence.query.BinaryFunctionalOperator

All Implemented Interfaces:
  Serializable, Comparable<BinaryFunctionalOperator>

    public enum BinaryFunctionalOperator

extends Enum<BinaryFunctionalOperator>

Enumeration of functional operator that operates on ordered pair of expression to generate another expression.

Author:
  Pinaki Poddar
See Also:
  `BinaryOperatorExpression`

Enum Constant Summary
`DIVIDE`
`LOCATE`
`MINUS`
`MOD`
`PLUS`
`RANGE`
`TIMES`

Method Summary
`String` | `toString()`
`static BinaryFunctionalOperator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BinaryFunctionalOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DIVIDE

    public static final BinaryFunctionalOperator DIVIDE

### LOCATE

    public static final BinaryFunctionalOperator LOCATE

### MINUS

    public static final BinaryFunctionalOperator MINUS

### MOD

    public static final BinaryFunctionalOperator MOD

### PLUS

    public static final BinaryFunctionalOperator PLUS

### RANGE

    public static final BinaryFunctionalOperator RANGE

### TIMES

    public static final BinaryFunctionalOperator TIMES

Method Detail

### values

    public static BinaryFunctionalOperator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BinaryFunctionalOperator c : BinaryFunctionalOperator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BinaryFunctionalOperator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<BinaryFunctionalOperator>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.